# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.0.0] - 2024-01-XX

### Added
- Initial release of jupyter-lab-utils
- `LabProgress` class for visual progress tracking with persistence
- `LabValidator` class with comprehensive validation methods
- Rich display utilities including info boxes, warnings, code blocks, tables, and tabs
- Support for progress persistence across sessions
- Integration between validators and progress trackers
- Comprehensive test suite
- Full documentation and examples

### Features
- Progress tracking with visual indicators, scores, and notes
- Variable, function, output, and DataFrame validation
- Custom validation with automatic progress updates
- Rich HTML display components for Jupyter notebooks
- File existence and string pattern validation
- Range and list item validation
- Export functionality for progress reports

### Dependencies
- Python 3.8+
- IPython 7.0+
- pandas 1.0+
- numpy 1.18+

## [Unreleased]

### Planned
- Additional validation methods
- Enhanced display components
- Performance optimizations
- Extended documentation